function [B] = bulgechasing(A)
% function [B] = bulgechasing(A)
%
% Chases out the bulge in A.

n = size(A);
B = A;

for i = 1:(n-2),
    vec = B(i+1:i+2,i);
    [c,s] = giv(vec);
    
    G = eye(size(A));
    G(i+1,i+1) = c;
    G(i+2,i+2) = c;
    G(i+1,i+2) = -s;
    G(i+2,i+1) = s;
    
    B = G*B*G'
    pause
end

