function [B] = createbulge(A,shift)
% function [B] = createbulge(A,shift)
%
% Creates a bulge in A corresponding to the given shift.

bulge = [A(1,1) - shift; A(2,1)];
[c,s]=giv(bulge);

G = eye(size(A));
G(1,1) = c;
G(2,2) = c;
G(1,2) = -s;
G(2,1) = s;

B = G*A*G';

end

